﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace FeedReader.Models
{
    public class Thread : INotifyPropertyChanged
    {

        private string _author;
        public string Author
        {
            get { return _author; }
            set
            {
                _author = value;
                //Call NotifyPropertyChanged when the source property is updated
                NotifyPropertyChanged("Author");
            }
        }

        private DateTime _date;
        public DateTime Date
        {
            get { return _date; }
            set
            {
                _date = value;
                //Call NotifyPropertyChanged when the source property is updated
                NotifyPropertyChanged("Date");
            }
        }

        private string _id;
        public string Id
        {
            get { return _id; }
            set
            {
                _id = value;
                //Call NotifyPropertyChanged when the source property is updated
                NotifyPropertyChanged("Id");
            }
        }
        
        private string _title;
        public string Title
        {
            get { return _title; }
            set
            {
                _title = value;
                //Call NotifyPropertyChanged when the source property is updated
                NotifyPropertyChanged("Title");
            }
        }

        //NotifyPropertyChanged will raise the PropertyChanged event passing the
        //source property that is being updated.
        private void NotifyPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion
    }
}
