﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using FeedReader.Models;

namespace FeedReader
{
    public partial class FeedView : UserControl
    {

        private FeedModel _model = new FeedModel();

        public FeedView()
        {
            // Required to initialize variables
            InitializeComponent();
            
            DataContext = _model;

            Loaded += new System.Windows.RoutedEventHandler(FeedView_Loaded);
        }

        #region Eventhandler

        private void FeedView_Loaded(object sender, System.Windows.RoutedEventArgs e)
        {
            _model.GetFeed();
        }


        private void Button_Click(object sender, RoutedEventArgs e)
        {
            _model.ShowForum();
        }

        private void ItemsControl_MouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {
            FrameworkElement control = e.OriginalSource as FrameworkElement;
            Thread thread = control.DataContext as Thread;
            _model.ShowThread(thread.Id);
        }

        #endregion

    }
}